Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class CustomMediaDriverSpecification

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.CustomMediaDriverSpecification

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieCustomMediaDriverSpecification

    public class CustomMediaDriverSpecification

extends TieSystemObject

A CustomMediaDriverSpecification identifies a driver used to store content in a CustomMedia instance.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` The name of the ClassObject representing this class.
`static java.lang.String` | `CUSTOMMEDIADRIVERCLASSNAME_ATTRIBUTE` The fully-qualified class name of the CustomMediaDriver class for this CustomMediaDriverSpecification.
`static java.lang.String` | `DESCRIPTION_ATTRIBUTE` The textual description of this CustomMediaDriverSpecification.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session, NAME_ATTRIBUTE`

Constructor Summary
`protected` | `CustomMediaDriverSpecification(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a CustomMediaDriverSpecification object.

Method Summary
`static CustomMediaDriverSpecification[]` | `findAll(LibrarySession session)` Gets the set of all CustomMediaDriverSpecifications.
`static CustomMediaDriverSpecification` | `findByName(LibrarySession session, java.lang.String name)` Gets the CustomMediaDriverSpecification with the specified name.
`java.lang.String` | `getCustomMediaDriverClassName()` Gets the fully-qualified class name of the CustomMediaDriver class for this CustomMediaDriverSpecification.
`java.lang.String` | `getDescription()` Gets the textual description of this CustomMediaDriverSpecification.
`boolean` | `hasNameAttribute()` Returns true if this object is an instance of a class that has a NAME attribute, and false otherwise.

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `CustomMediaDriverSpecification`
  The name of the ClassObject representing this class.

  See Also:
    Constant Field Values
  (Published)

### DESCRIPTION_ATTRIBUTE

    public static final java.lang.String DESCRIPTION_ATTRIBUTE

  Description copied from class: `CustomMediaDriverSpecification`
  The textual description of this CustomMediaDriverSpecification.

  See Also:
    Constant Field Values
  (Published)

### CUSTOMMEDIADRIVERCLASSNAME_ATTRIBUTE

    public static final java.lang.String CUSTOMMEDIADRIVERCLASSNAME_ATTRIBUTE

  Description copied from class: `CustomMediaDriverSpecification`
  The fully-qualified class name of the CustomMediaDriver class for this CustomMediaDriverSpecification.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### CustomMediaDriverSpecification

    protected CustomMediaDriverSpecification(LibrarySession session,
                                             java.lang.Long id,
                                             java.lang.Long classId,
                                             S_LibraryObjectData data)
                                      throws IfsException

  Constructs a CustomMediaDriverSpecification object.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data component
  Throws:
    `IfsException` - if the operation fails
  (Published)

Method Detail

### hasNameAttribute

    public boolean hasNameAttribute()
                             throws IfsException

  Description copied from class: `CustomMediaDriverSpecification`
  Returns true if this object is an instance of a class that has a NAME attribute, and false otherwise.

  Overrides:
    `hasNameAttribute` in class `LibraryObject`
  Returns:
    true if the object has a NAME attribute.
  Throws:
    `IfsException` - if operation fails.

### getDescription

    public java.lang.String getDescription()
                                    throws IfsException

  Description copied from class: `CustomMediaDriverSpecification`
  Gets the textual description of this CustomMediaDriverSpecification.

  Returns:
    the description
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getCustomMediaDriverClassName

    public java.lang.String getCustomMediaDriverClassName()
                                                   throws IfsException

  Description copied from class: `CustomMediaDriverSpecification`
  Gets the fully-qualified class name of the CustomMediaDriver class for this CustomMediaDriverSpecification.

  Returns:
    the class name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### findAll

    public static CustomMediaDriverSpecification[] findAll(LibrarySession session)
                                                    throws IfsException

  Description copied from class: `CustomMediaDriverSpecification`
  Gets the set of all CustomMediaDriverSpecifications.

  Parameters:
    `session` - the session
  Returns:
    the CustomMediaDriverSpecifications, or null if none
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### findByName

    public static CustomMediaDriverSpecification findByName(LibrarySession session,
                                                            java.lang.String name)
                                                     throws IfsException

  Description copied from class: `CustomMediaDriverSpecification`
  Gets the CustomMediaDriverSpecification with the specified name.

  Parameters:
    `session` - the session; required
    `name` - the name
  Returns:
    the CustomMediaDriverSpecification, or null if none
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD